/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLTableSectionElement_H___INT_
#define __GdomHTMLTableSectionElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLTableSectionElement.h"
G_BEGIN_DECLS
class GDOMHTMLTableSectionElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_TABLE_SECTION_ELEMENT; }
    GDOMHTMLTableSectionElement(PassRefPtr<WebCore::HTMLTableSectionElement> impl);
    WebCore::HTMLTableSectionElement* impl() const
    {
        return static_cast<WebCore::HTMLTableSectionElement*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomHTMLTableSectionElement_H___INT_*/
